> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get folder by id

> Get folder by id



## OpenAPI

````yaml /swagger/dam-api.json get /api/v1/{app_id}/folders/{id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API Support
  description: This is the swagger for Enads Digital Assets Management service
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms
  title: Digital Assets Management
  version: '1.0'
servers:
  - url: //dam.enad.io
security: []
paths:
  /api/v1/{app_id}/folders/{id}:
    get:
      tags:
        - Folders
      summary: Get folder by id
      description: Get folder by id
      parameters:
        - description: App id
          in: path
          name: app_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Folders
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkResponseFolder'
        '400':
          description: Invalid request (e.g. bad UUID, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    OkResponseFolder:
      properties:
        data:
          $ref: '#/components/schemas/FolderResponse'
        success:
          type: boolean
      type: object
    ErrorResponse:
      properties:
        details:
          items:
            type: string
          type: array
        error:
          type: string
      type: object
    FolderResponse:
      properties:
        created_at:
          type: string
        file_count:
          type: integer
        has_content_access:
          type: boolean
        id:
          type: string
        image_count:
          type: integer
        is_default:
          type: boolean
        name:
          type: string
        parent_id:
          type: string
        public:
          type: boolean
        slug:
          type: string
        updated_at:
          type: string
        video_count:
          type: integer
      type: object

````